> ## Documentation Index
> Fetch the complete documentation index at: https://ai-recruiter.micro1.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all invited candidates

> This endpoint retrieves all sent invites. You can search for a specific candidate, keyword or interview.



## OpenAPI

````yaml get /interview/invites
openapi: 3.0.3
info:
  title: micro1 Public API
  description: micro1 ai-interview platform public API
  version: 1.0.0
  termsOfService: https://www.micro1.ai/terms-conditions
  contact:
    name: micro1 API Support
    url: https://www.micro1.ai
    email: support@micro1.ai
servers:
  - url: https://public.api.micro1.ai
    description: Production server
security:
  - apiKey: []
paths:
  /interview/invites:
    get:
      tags:
        - Invite Candidate
      summary: Get all invited candidates
      description: >-
        This endpoint retrieves all sent invites. You can search for a specific
        candidate, keyword or interview.
      operationId: aiInterviewer-f690665f-6248-4c86-b317-0f18ebecf728
      parameters:
        - name: page
          in: query
          description: Page number
          required: false
          schema:
            $ref: '#/components/schemas/page'
        - name: limit
          in: query
          description: Number of items per page
          required: false
          schema:
            $ref: '#/components/schemas/limit'
        - name: keyword
          in: query
          description: Keyword to search for
          required: false
          schema:
            $ref: '#/components/schemas/keyword'
        - name: interview_id
          in: query
          description: ID of the interview
          required: false
          schema:
            $ref: '#/components/schemas/interview_id'
        - name: candidate_id
          in: query
          description: ID of the candidate
          required: false
          schema:
            $ref: '#/components/schemas/candidate_id'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ed1324fa-97e3-4327-989a-1365796365ff'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/19f58cbb-0a5c-4362-9543-e11ecc14b188'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/48ed7e9b-d5c0-4cac-a7f7-554cf2d38a61'
          headers:
            Access-Control-Allow-Origin:
              description: >-
                The Access-Control-Allow-Origin response header indicates
                whether the response can be shared with requesting code from the
                given
                [origin](https://developer.mozilla.org/en-US/docs/Glossary/Origin).
                - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Origin'
            Access-Control-Allow-Credentials:
              description: >-
                The Access-Control-Allow-Credentials response header tells
                browsers whether to expose the response to the frontend
                JavaScript code when the request's credentials mode
                ([Request.credentials](https://developer.mozilla.org/en-US/docs/Web/API/Request/credentials))
                is include. - [MDN
                Link](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Credentials)
              schema:
                $ref: '#/components/schemas/Access-Control-Allow-Credentials'
      security:
        - apiKey: []
components:
  schemas:
    page:
      type: integer
    limit:
      type: integer
    keyword:
      type: string
    interview_id:
      type: string
    candidate_id:
      type: string
    ed1324fa-97e3-4327-989a-1365796365ff:
      title: GetInvitesResponse
      description: Response for getting all candidate invites
      type: object
      properties:
        status:
          type: boolean
          description: Status of the response
          example: 'true'
        message:
          type: string
          description: Message of the response
          example: Candidate invites fetched successfully
        data:
          type: array
          description: List of candidate invites
          items:
            title: Report
            type: object
            properties:
              candidate_id:
                type: string
                description: ID of the candidate
                example: h0gqkAcaDJ
              interview_id:
                type: string
                description: ID of the interview
                example: 123e4567-e89b-12d3-a456-426614174000
              interview_name:
                type: string
                description: Name of the interview
                example: Full Stack Engineer Interview
              candidate_name:
                type: string
                description: Name of the candidate
                example: John Doe
              candidate_email_id:
                type: string
                description: Email of the candidate
                example: john.doe@micro1.ai
              date_created:
                type: string
                description: Date created of the report
                example: '2021-01-01 00:00:00'
              date_modified:
                type: string
                description: Date modified of the report
                example: '2021-01-01 00:00:00'
              status:
                type: string
                description: Status of the report
                example: active
    Access-Control-Allow-Origin:
      type: string
      default: '*'
      example: https://developer.mozilla.org
    Access-Control-Allow-Credentials:
      type: boolean
      default: true
    19f58cbb-0a5c-4362-9543-e11ecc14b188:
      title: BadRequestResponse
      description: Response for bad requests
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: The error message
          example: Invalid request
    48ed7e9b-d5c0-4cac-a7f7-554cf2d38a61:
      title: InternalServerErrorResponse
      description: Response for internal server error
      type: object
      properties:
        status:
          type: boolean
          description: Whether the request was successful
          example: false
  securitySchemes:
    apiKey:
      description: API key to access the API
      type: apiKey
      name: x-api-key
      in: header

````